%define major                 1
%define libname               %mklibname netfilter_cttimeout %{major}
%define libnamedevel          %mklibname netfilter_cttimeout -d

Name:           libnetfilter_cttimeout
Version:        1.0.0
Release:        %mkrel 9
Summary:        Allow user-space programs to interface the kernel connection tracking helpers
Group:          System/Libraries
License:        GPL
URL:            http://www.netfilter.org/projects/libnetfilter_cttimeout/
Source0:        http://www.netfilter.org/projects/libnetfilter_cttimeout/files/libnetfilter_cttimeout-%{version}.tar.bz2
Source1:        http://www.netfilter.org/projects/libnetfilter_cttimeout/files/libnetfilter_cttimeout-%{version}.tar.bz2.sig
BuildRequires: pkgconfig(libmnl) >= 1.0.3

%description
libnetfilter_cttimeout is the userspace library that provides the
programming interface to the fine-grain connection tracking timeout
infrastructure. With this library, you can create, update and delete
timeout policies that can be attached to traffic flows.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       netfilter_cttimeout = %{version}-%{release}

%description -n %{libname}
libnetfilter_cttimeout is the userspace library that provides the
programming interface to the fine-grain connection tracking timeout
infrastructure. With this library, you can create, update and delete
timeout policies that can be attached to traffic flows.

%package -n %{libnamedevel}
Summary:        Development files for %{name}
Group:          System/Libraries
Provides:       netfilter_cttimeout-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libnamedevel}
This package contains the development files for %{name}.

%prep
%setup -q

%build
%{configure2_5x} --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%check
%{make} check

%files -n %{libname}
%doc COPYING
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedevel}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.0.0-9.mga8
+ Revision: 1514298
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-8.mga7
+ Revision: 1299040
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 1.0.0-7.mga6
+ Revision: 938448
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 741851
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 681642
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 507212
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 357841
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 fwang <fwang> 1.0.0-2.mga3
+ Revision: 303779
- drop epoch

* Tue Oct 09 2012 fwang <fwang> 1.0.0-1.mga3
+ Revision: 303773
- imported package libnetfilter_cttimeout

